Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 7213)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/namelist_cfg	(revision 7214)
@@ -68,4 +68,34 @@
 &namberg       !   iceberg parameters
 !-----------------------------------------------------------------------
+      ln_icebergs              = .true.               ! iceberg floats or not
+      ln_bergdia               = .true.               ! Calculate budgets
+      nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
+      nn_verbose_write         = 15                   ! Timesteps between verbose messages
+      nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
+                                                      ! Initial mass required for an iceberg of each class
+      rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
+                                                      ! Proportion of calving mass to apportion to each class
+      rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
+                                                      ! Ratio between effective and real iceberg mass (non-dim)
+                                                      ! i.e. number of icebergs represented at a point
+      rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
+                                                      ! thickness of newly calved bergs (m)
+      rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
+      rn_rho_bergs             = 850.                 ! Density of icebergs
+      rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
+      ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
+      rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
+      rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
+      ln_passive_mode          = .false.              ! iceberg - ocean decoupling
+      nn_test_icebergs         = -1                   ! Create test icebergs of this class (-1 = no)
+                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
+      rn_test_box              = 108.0,  116.0, -66.0, -58.0
+      rn_speed_limit           = 0.                   ! CFL speed limit for a berg
+
+!            ! file name ! frequency (hours) !   variable   ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!            !           !  (if <0  months)  !     name     !  (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
+      sn_icb =  'calving',       -1          , 'calving'    ,   .true.    , .true.  , 'yearly'  ,    ''    ,    ''    ,     ''
+
+      cn_dir = './'
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh	(revision 7213)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh	(revision 7214)
@@ -664,4 +664,5 @@
     set_namelist namelist_cfg nn_msh 1
     set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_hpg_sco .true.
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -690,4 +691,5 @@
     set_namelist namelist_cfg nn_msh 1
     set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_hpg_sco .true.
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 2
@@ -700,4 +702,5 @@
         ln -sf ../LONG/O2L3_LONG_00000075_restart_${L_NPROC}.nc .
         ln -sf ../LONG/O2L3_LONG_00000075_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/O2L3_LONG_icebergs_00000075_restart_${L_NPROC}.nc O2L3_LONG_00000075_restart_icebergs_${L_NPROC}.nc
     done
     if [ ${USING_MPMD} == "yes" ] ; then
Index: /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette_rpt
===================================================================
--- /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette_rpt	(revision 7213)
+++ /branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette_rpt	(revision 7214)
@@ -415,8 +415,8 @@
     set dorv = `ls -1rtd ./WORCA2LIM3_16/{$mach}/* | tail -1l `
     set dorv = $dorv:t
-    set f1o = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_2_8/ocean.output
-    set f1s = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_2_8/solver.stat
-    set f2o = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_4_4/ocean.output
-    set f2s = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_4_4/solver.stat
+    set f1o = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_4_8/ocean.output
+    set f1s = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_4_8/solver.stat
+    set f2o = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_8_4/ocean.output
+    set f2s = ./WORCA2LIM3_16/{$mach}/{$dorv}/REPRO_8_4/solver.stat
 
     cmp -s $f1s $f2s