Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 7075)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 7224)
@@ -75,9 +75,9 @@
        <field id="CHD"      long_name="Chl-a concentration in     diatom phytoplankton"   unit="mg Chl/m3" />
        <field id="PHN"      long_name="non-diatom phytoplankton"                          unit="mmol-N/m3" />
-       <field id="PHD"      long_name="diatom phytoplankton"                              unit="mmol-N/m3" />
+       <field id="PHD"      long_name="diatom     phytoplankton"                          unit="mmol-N/m3" />
        <field id="ZMI"      long_name="micro zooplankton"                                 unit="mmol-N/m3" />
        <field id="ZME"      long_name="meso  zooplankton"                                 unit="mmol-N/m3" />
        <field id="DIN"      long_name="dissolved inorganic nitrogen"                      unit="mmol-N/m3" />
-       <field id="SIL"      long_name="silicate"                                          unit="mmolSi/m3" />
+       <field id="SIL"      long_name="dissolved silicic acid"                            unit="mmolSi/m3" />
        <field id="FER"      long_name="dissolved iron"                                    unit="mmolFe/m3" />
        <field id="DET"      long_name="detrital nitrogen"                                 unit="mmol-N/m3" />
@@ -407,49 +407,4 @@
        <field id= "GMIDC"      long_name="Microzoo grazing on detritus, carbon"      unit="mmolC/m2/d"  />
        <field id= "GMEDC"      long_name="Mesozoo  grazing on detritus, carbon"      unit="mmolC/m2/d"  />
-       <field id= "BASIN_01"   long_name="Non-diatom primary production, 150m"       unit="mmolN/m2/d"  />
-       <field id= "BASIN_02"   long_name="Non-diatom linear loss, 150m"              unit="mmolN/m2/d"  />
-       <field id= "BASIN_03"   long_name="Non-diatom non-linear loss, 150m"          unit="mmolN/m2/d"  />
-       <field id= "BASIN_04"   long_name="Non-diatom loss to microzoo, 150m"         unit="mmolN/m2/d"  />
-       <field id= "BASIN_05"   long_name="Non-diatom loss to mesozoo, 150m"          unit="mmolN/m2/d"  />
-       <field id= "BASIN_06"   long_name="Diatom primary production, 150m"           unit="mmolN/m2/d"  />
-       <field id= "BASIN_07"   long_name="Diatom linear loss, 150m"                  unit="mmolN/m2/d"  />
-       <field id= "BASIN_08"   long_name="Diatom non-linear loss, 150m"              unit="mmolN/m2/d"  />
-       <field id= "BASIN_09"   long_name="Diatom loss to mesozoo, 150m"              unit="mmolN/m2/d"  />
-       <field id= "BASIN_10"   long_name="Microzoo grazing on slow detritus N, 150m" unit="mmolN/m2/d"  />
-       <field id= "BASIN_11"   long_name="Microzoo grazing on slow detritus C, 150m" unit="mmolC/m2/d"  />
-       <field id= "BASIN_12"   long_name="Microzoo messy feeding loss to N, 150m"    unit="mmolN/m2/d"  />
-       <field id= "BASIN_13"   long_name="Microzoo messy feeding loss to D, 150m"    unit="mmolC/m2/d"  />
-       <field id= "BASIN_14"   long_name="Microzoo messy feeding loss to C, 150m"    unit="mmolN/m2/d"  />
-       <field id= "BASIN_15"   long_name="Microzoo messy feeding loss to Dc, 150m"   unit="mmolC/m2/d"  />
-       <field id= "BASIN_16"   long_name="Microzoo excretion, 150m"                  unit="mmolN/m2/d"  />
-       <field id= "BASIN_17"   long_name="Microzoo respiration, 150m"                unit="mmolC/m2/d"  />
-       <field id= "BASIN_18"   long_name="Microzoo growth, 150m"                     unit="mmolN/m2/d"  />
-       <field id= "BASIN_19"   long_name="Microzoo linear loss, 150m"                unit="mmolN/m2/d"  />
-       <field id= "BASIN_20"   long_name="Microzoo non-linear loss, 150m"            unit="mmolN/m2/d"  />
-       <field id= "BASIN_21"   long_name="Microzoo grazing loss to mesozoo, 150m"    unit="mmolN/m2/d"  />
-       <field id= "BASIN_22"   long_name="Mesozoo grazing on slow detritus N, 150m"  unit="mmolN/m2/d"  />
-       <field id= "BASIN_23"   long_name="Mesozoo grazing on slow detritus C, 150m"  unit="mmolC/m2/d"  />
-       <field id= "BASIN_24"   long_name="Mesozoo messy feeding loss to N, 150m"     unit="mmolN/m2/d"  />
-       <field id= "BASIN_25"   long_name="Mesozoo messy feeding loss to D, 150m"     unit="mmolC/m2/d"  />
-       <field id= "BASIN_26"   long_name="Mesozoo messy feeding loss to C, 150m"     unit="mmolN/m2/d"  />
-       <field id= "BASIN_27"   long_name="Mesozoo messy feeding loss to Dc, 150m"    unit="mmolC/m2/d"  />
-       <field id= "BASIN_28"   long_name="Mesozoo excretion, 150m"                   unit="mmolN/m2/d"  />
-       <field id= "BASIN_29"   long_name="Mesozoo respiration, 150m"                 unit="mmolC/m2/d"  />
-       <field id= "BASIN_30"   long_name="Mesozoo growth, 150m"                      unit="mmolN/m2/d"  />
-       <field id= "BASIN_31"   long_name="Mesozoo linear loss, 150m"                 unit="mmolN/m2/d"  />
-       <field id= "BASIN_32"   long_name="Mesozoo non-linear loss, 150m"             unit="mmolN/m2/d"  />
-       <field id= "BASIN_33"   long_name="Slow detritus production, N, 150m"         unit="mmolN/m2/d"  />
-       <field id= "BASIN_34"   long_name="Slow detritus remineralisation, N, 150m"   unit="mmolN/m2/d"  />
-       <field id= "BASIN_35"   long_name="Slow detritus production, C, 150m"         unit="mmolC/m2/d"  />
-       <field id= "BASIN_36"   long_name="Slow detritus remineralisation, C, 150m"   unit="mmolC/m2/d"  />
-       <field id= "BASIN_37"   long_name="Fast detritus production, N, 150m"         unit="mmolN/m2/d"  />
-       <field id= "BASIN_38"   long_name="Fast detritus remineralisation, N, 150m"   unit="mmolN/m2/d"  />
-       <field id= "BASIN_39"   long_name="Fast detritus production, C, 150m"         unit="mmolC/m2/d"  />
-       <field id= "BASIN_40"   long_name="Fast detritus remineralisation, C, 150m"   unit="mmolC/m2/d"  />
-       <field id= "BASIN_41"   long_name="Fast detritus remineralisation, C, 150m"   unit="mmolC/m2/d"  />
-       <field id= "BASIN_42"   long_name="Slow detritus sinking flux, N, 150m"       unit="mmolN/m2/d"  />
-       <field id= "BASIN_43"   long_name="Slow detritus sinking flux, C, 150m"       unit="mmolC/m2/d"  />
-       <field id= "BASIN_44"   long_name="Fast detritus sinking flux, N, 150m"       unit="mmolN/m2/d"  />
-       <field id= "BASIN_45"   long_name="Fast detritus sinking flux, C, 150m"       unit="mmolC/m2/d"  />
        <field id= "INT_ZMI"    long_name="Vertically integrated Zmi"                 unit="mmolN/m2"    />
        <field id= "INT_ZME"    long_name="Vertically integrated Zme"                 unit="mmolN/m2"    />
@@ -462,4 +417,17 @@
        <field id= "DMS_HALL"   long_name="DMS Surface Concentration, Halloran"       unit="nmol/L"      />
 
+       <!-- AXY (08/11/16): add new 2D CMIP6 diagnostics -->
+       <field id= "epC100"     long_name="Downward Flux of Particle Organic Carbon"  unit="mmolC/m2/d"  />
+       <field id= "epCALC100"  long_name="Downward Flux of Calcite"                  unit="mmolC/m2/d"  />
+       <field id= "epN100"     long_name="Downward Flux of Particulate Nitrogen"     unit="mmolN/m2/d"  />
+       <field id= "epSI100"    long_name="Downward Flux of Particulate Silica"       unit="mmolSi/m2/d" />
+       <field id= "FGCO2"      long_name="Surface Downward CO2 Flux"                 unit="kg/m2/s"     />
+       <field id= "INTDISSIC"  long_name="Dissolved Inorganic Carbon Content"        unit="mmolC/m2"    />
+       <field id= "INTDISSIN"  long_name="Dissolved Inorganic Nitrogen Content"      unit="mmolN/m2"    />
+       <field id= "INTDISSISI" long_name="Dissolved Inorganic Silicon Content"       unit="mmolSi/m2"   />
+       <field id= "INTALK"     long_name="Dissolved Alkalinity Content"              unit="meq/m2"      />
+       <field id= "O2min"      long_name="Oxygen Minimum Concentration"              unit="mmolO2/m3"   />
+       <field id= "ZO2min"     long_name="Depth of Oxygen Minimum Concentration"     unit="m"           />
+
        <field id= "TPP3"       long_name="Total primary production 3D"               unit="mmolN/m3/d"    grid_ref="grid_T_3D"  />
        <field id= "DETFLUX3"   long_name="Total detrital flux 3D"                    unit="mmolN/m3/d"    grid_ref="grid_T_3D"  />
@@ -467,4 +435,38 @@
        <field id= "PH3"        long_name="Ocean pH 3D"                               unit="-"             grid_ref="grid_T_3D"  />
        <field id= "OM_CAL3"    long_name="Omega calcite 3D"                          unit="-"             grid_ref="grid_T_3D"  />
+
+       <!-- AXY (08/11/16): add new 3D CMIP6 diagnostics -->
+       <field id= "TPPD3"      long_name="Diatom primary production 3D"              unit="mmolN/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "BDDTALK3"   long_name="Change of Alkalinity due to Biology"       unit="meq/m3/d"      grid_ref="grid_T_3D"  />
+       <field id= "BDDTDIC3"   long_name="Change of DI Carbon due to Biology"        unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "BDDTIFE3"   long_name="Change of DI Iron due to Biology"          unit="mmolFe/m3/d"   grid_ref="grid_T_3D"  />
+       <field id= "BDDTDIN3"   long_name="Change of DI Nitrogen due to Biology"      unit="mmolN/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "BDDTDISI3"  long_name="Change of DI Silicon due to Biology"       unit="mmolSi/m3/d"   grid_ref="grid_T_3D"  />
+       <field id= "FD_NIT3"    long_name="Fast sinking detrital nitrogen"            unit="mmolN/m2/d"    grid_ref="grid_T_3D"  />
+       <field id= "FD_SIL3"    long_name="Fast sinking detrital silicon"             unit="mmolSi/m2/d"   grid_ref="grid_T_3D"  />
+       <field id= "FD_CAR3"    long_name="Fast sinking detrital carbon"              unit="mmolC/m2/d"    grid_ref="grid_T_3D"  />
+       <field id= "FD_CAL3"    long_name="Fast sinking detrital calcium carbonate"   unit="mmolC/m2/d"    grid_ref="grid_T_3D"  />
+       <field id= "CO33"       long_name="Carbonate ion concentration"               unit="mmolC/m3"      grid_ref="grid_T_3D"  />
+       <field id= "CO3SATARG3" long_name="Carbonate aragonite saturation conc"       unit="mmolC/m3"      grid_ref="grid_T_3D"  />
+       <field id= "CO3SATCAL3" long_name="Carbonate calcite saturation conc"         unit="mmolC/m3"      grid_ref="grid_T_3D"  />
+       <field id= "DCALC3"     long_name="Calcite dissolution"                       unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "FEDISS3"    long_name="Particle Source of Dissolved Iron"         unit="mmolFe/m3/d"   grid_ref="grid_T_3D"  />
+       <field id= "FESCAV3"    long_name="Nonbiogenic Iron Scavenging"               unit="mmolFe/m3/d"   grid_ref="grid_T_3D"  />
+       <field id= "MIGRAZP3"   long_name="Microzooplankton grazing on phytoplankton" unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "MIGRAZD3"   long_name="Microzooplankton grazing on detritus"      unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "MEGRAZP3"   long_name="Mesozooplankton grazing on phytoplankton"  unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "MEGRAZD3"   long_name="Mesozooplankton grazing on detritus"       unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "MEGRAZZ3"   long_name="Mesozooplankton grazing on microzoop"      unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "O2SAT3"     long_name="Dissolved Oxygen Saturation Concentration" unit="mmolO2/m3"     grid_ref="grid_T_3D"  />
+       <field id= "PBSI3"      long_name="Biogenic Silica Production"                unit="mmolSi/m3/d"   grid_ref="grid_T_3D"  />
+       <field id= "PCAL3"      long_name="Biogenic Calcite Production"               unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "REMOC3"     long_name="Remineralization of Organic Carbon"        unit="mmolC/m3/d"    grid_ref="grid_T_3D"  />
+       <field id= "PNLIMJ3"    long_name="Irradiance limitation of non-diatoms"      unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PNLIMN3"    long_name="Nitrogen limitation of non-diatoms"        unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PNLIMFE3"   long_name="Iron limitation of non-diatoms"            unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PDLIMJ3"    long_name="Irradiance limitation of diatoms"          unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PDLIMN3"    long_name="Nitrogen limitation of diatoms"            unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PDLIMFE3"   long_name="Iron limitation of diatoms"                unit="-"             grid_ref="grid_T_3D"  />
+       <field id= "PDLIMSI3"   long_name="Silicon limitation of diatoms"             unit="-"             grid_ref="grid_T_3D"  />
 
      </field_group>
@@ -724,53 +726,49 @@
     </field_group>
 
-    <field_group id="groupMEDUSA_bas" >
-     <field field_ref= "BASIN_01"   name= "BASIN_01"   />
-     <field field_ref= "BASIN_02"   name= "BASIN_02"   />
-     <field field_ref= "BASIN_03"   name= "BASIN_03"   />
-     <field field_ref= "BASIN_04"   name= "BASIN_04"   />
-     <field field_ref= "BASIN_05"   name= "BASIN_05"   />
-     <field field_ref= "BASIN_06"   name= "BASIN_06"   />
-     <field field_ref= "BASIN_07"   name= "BASIN_07"   />
-     <field field_ref= "BASIN_08"   name= "BASIN_08"   />
-     <field field_ref= "BASIN_09"   name= "BASIN_09"   />
-     <field field_ref= "BASIN_10"   name= "BASIN_10"   />
-     <field field_ref= "BASIN_11"   name= "BASIN_11"   />
-     <field field_ref= "BASIN_12"   name= "BASIN_12"   />
-     <field field_ref= "BASIN_13"   name= "BASIN_13"   />
-     <field field_ref= "BASIN_14"   name= "BASIN_14"   />
-     <field field_ref= "BASIN_15"   name= "BASIN_15"   />
-     <field field_ref= "BASIN_16"   name= "BASIN_16"   />
-     <field field_ref= "BASIN_17"   name= "BASIN_17"   />
-     <field field_ref= "BASIN_18"   name= "BASIN_18"   />
-     <field field_ref= "BASIN_19"   name= "BASIN_19"   />
-     <field field_ref= "BASIN_20"   name= "BASIN_20"   />
-     <field field_ref= "BASIN_21"   name= "BASIN_21"   />
-     <field field_ref= "BASIN_22"   name= "BASIN_22"   />
-     <field field_ref= "BASIN_23"   name= "BASIN_23"   />
-     <field field_ref= "BASIN_24"   name= "BASIN_24"   />
-     <field field_ref= "BASIN_25"   name= "BASIN_25"   />
-     <field field_ref= "BASIN_26"   name= "BASIN_26"   />
-     <field field_ref= "BASIN_27"   name= "BASIN_27"   />
-     <field field_ref= "BASIN_28"   name= "BASIN_28"   />
-     <field field_ref= "BASIN_29"   name= "BASIN_29"   />
-     <field field_ref= "BASIN_30"   name= "BASIN_30"   />
-     <field field_ref= "BASIN_31"   name= "BASIN_31"   />
-     <field field_ref= "BASIN_32"   name= "BASIN_32"   />
-     <field field_ref= "BASIN_33"   name= "BASIN_33"   />
-     <field field_ref= "BASIN_34"   name= "BASIN_34"   />
-     <field field_ref= "BASIN_35"   name= "BASIN_35"   />
-     <field field_ref= "BASIN_36"   name= "BASIN_36"   />
-     <field field_ref= "BASIN_37"   name= "BASIN_37"   />
-     <field field_ref= "BASIN_38"   name= "BASIN_38"   />
-     <field field_ref= "BASIN_39"   name= "BASIN_39"   />
-     <field field_ref= "BASIN_40"   name= "BASIN_40"   />
-     <field field_ref= "BASIN_41"   name= "BASIN_41"   />
-     <field field_ref= "BASIN_42"   name= "BASIN_42"   />
-     <field field_ref= "BASIN_43"   name= "BASIN_43"   />
-     <field field_ref= "BASIN_44"   name= "BASIN_44"   />
-     <field field_ref= "BASIN_45"   name= "BASIN_45"   />
-    </field_group>
-
+    <field_group id="groupMEDUSA_cmip6" >
+      <field field_ref= "epC100"     name="epC100"     />
+      <field field_ref= "epCALC100"  name="epCALC100"  />
+      <field field_ref= "epN100"     name="epN100"     />
+      <field field_ref= "epSI100"    name="epSI100"    />
+      <field field_ref= "FGCO2"      name="FGCO2"      />
+      <field field_ref= "INTDISSIC"  name="INTDISSIC"  />
+      <field field_ref= "INTDISSIN"  name="INTDISSIN"  />
+      <field field_ref= "INTDISSISI" name="INTDISSISI" />
+      <field field_ref= "INTALK"     name="INTALK"     />
+      <field field_ref= "O2min"      name="O2min"      />
+      <field field_ref= "ZO2min"     name="ZO2min"     />
+      <field field_ref= "TPPD3"      name="TPPD3"      />
+      <field field_ref= "BDDTALK3"   name="BDDTALK3"   />
+      <field field_ref= "BDDTDIC3"   name="BDDTDIC3"   />
+      <field field_ref= "BDDTIFE3"   name="BDDTIFE3"   />
+      <field field_ref= "BDDTDIN3"   name="BDDTDIN3"   />
+      <field field_ref= "BDDTDISI3"  name="BDDTDISI3"  />
+      <field field_ref= "FD_NIT3"    name="FD_NIT3"    />
+      <field field_ref= "FD_SIL3"    name="FD_SIL3"    />
+      <field field_ref= "FD_CAR3"    name="FD_CAR3"    />
+      <field field_ref= "FD_CAL3"    name="FD_CAL3"    />
+      <field field_ref= "CO33"       name="CO33"       />
+      <field field_ref= "CO3SATARG3" name="CO3SATARG3" />
+      <field field_ref= "CO3SATCAL3" name="CO3SATCAL3" />
+      <field field_ref= "DCALC3"     name="DCALC3"     />
+      <field field_ref= "FEDISS3"    name="FEDISS3"    />
+      <field field_ref= "FESCAV3"    name="FESCAV3"    />
+      <field field_ref= "MIGRAZP3"   name="MIGRAZP3"   />
+      <field field_ref= "MIGRAZD3"   name="MIGRAZD3"   />
+      <field field_ref= "MEGRAZP3"   name="MEGRAZP3"   />
+      <field field_ref= "MEGRAZD3"   name="MEGRAZD3"   />
+      <field field_ref= "MEGRAZZ3"   name="MEGRAZZ3"   />
+      <field field_ref= "O2SAT3"     name="O2SAT3"     />
+      <field field_ref= "PBSI3"      name="PBSI3"      />
+      <field field_ref= "PCAL3"      name="PCAL3"      />
+      <field field_ref= "REMOC3"     name="REMOC3"     />
+      <field field_ref= "PNLIMJ3"    name="PNLIMJ3"    />
+      <field field_ref= "PNLIMN3"    name="PNLIMN3"    />
+      <field field_ref= "PNLIMFE3"   name="PNLIMFE3"   />
+      <field field_ref= "PDLIMJ3"    name="PDLIMJ3"    />
+      <field field_ref= "PDLIMN3"    name="PDLIMN3"    />
+      <field field_ref= "PDLIMFE3"   name="PDLIMFE3"   />
+      <field field_ref= "PDLIMSI3"   name="PDLIMSI3"   />
+    </field_group>
 
 </field_definition>
-