Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh	(revision 7225)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/SETTE/sette.sh	(revision 7226)
@@ -138,5 +138,5 @@
 # ORCA2_LIM3       :  7 &  8
 # AMM12            :  9 & 10
-# SAS              : 11      fos SAS there is no solver so is usefull to test REPRO
+# SAS              : 11      fos SAS there is no solver so is useless to test REPRO
 # ISOMIP           : 13 & 14
 # ORCA2_LIM_OBS    : 15
@@ -144,5 +144,5 @@
 #                    18 & 19 
 
-for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14
+for config in 1 2 3 4 5 6 7 8 9 10 11 13 14 15 16 17 18 19 
 
 do
@@ -488,4 +488,6 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
@@ -522,4 +524,6 @@
     set_namelist namelist_cfg nn_stock 20
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
@@ -574,4 +578,6 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
@@ -612,4 +618,6 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .true.
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
@@ -662,4 +670,5 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg ln_hpg_sco .true.
     set_namelist namelist_cfg nn_msh 1
     set_namelist namelist_cfg nn_fwb 0
@@ -689,4 +698,5 @@
     set_namelist namelist_cfg ln_read_cfg .true.
     set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg ln_hpg_sco .true.
     set_namelist namelist_cfg nn_msh 1
     set_namelist namelist_cfg nn_fwb 0
@@ -865,7 +875,5 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_write_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg nn_msh 1
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
@@ -893,7 +901,5 @@
     set_namelist namelist_cfg ln_clobber .true.
     set_namelist namelist_cfg ln_read_cfg .true.
-    set_namelist namelist_cfg ln_write_cfg .true.
-    set_namelist namelist_cfg ln_linssh .false.
-    set_namelist namelist_cfg nn_msh 1
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -961,5 +967,5 @@
     set_namelist namelist_cfg jpnij 32
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_cfg cn_ocerst_in \"SAS_00000050_restart\"
+    set_namelist namelist_cfg cn_ocerst_in \"SAS_00000050_restart_ice\"
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -970,5 +976,5 @@
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/SAS_00000050_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/SAS_00000050_restart_ice_${L_NPROC}.nc .
     done
     cd ${SETTE_DIR}
@@ -1119,5 +1125,5 @@
     export TEST_NAME="REPRO_4_4"
     cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM_OBS -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_asminc" del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2_LIM3_OBS -r ORCA2_LIM3 -j 8 add_key "key_mpp_rep key_asminc" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -1217,14 +1223,18 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 1
     set_namelist namelist_cfg jpnj 2
     set_namelist namelist_cfg jpnij 2
-#
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
-
+    set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_linssh .false.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1257,4 +1267,6 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1290,4 +1302,6 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1325,4 +1339,6 @@
     set_namelist namelist_cfg nn_stock 75
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1337,4 +1353,6 @@
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
+    set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_linssh .false.
 #
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1357,4 +1375,6 @@
     set_namelist namelist_cfg nn_rstctl 2
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
@@ -1370,4 +1390,6 @@
     set_namelist 1_namelist_cfg nn_rstctl 2
     set_namelist 1_namelist_cfg ln_clobber .true.
+    set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
     set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
@@ -1410,14 +1432,16 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg jpnij 16
-#   set_namelist namelist_cfg nn_solv 2
-#
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
+    set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_linssh .false.
 
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1442,14 +1466,16 @@
     set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg ln_read_cfg .true.
+    set_namelist namelist_cfg ln_linssh .false.
     set_namelist namelist_cfg nn_fwb 0
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 16
-#   set_namelist namelist_cfg nn_solv 2
-#
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 150
     set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg ln_clobber .true.
+    set_namelist 1_namelist_cfg ln_read_cfg .true.
+    set_namelist 1_namelist_cfg ln_linssh .false.
 
     if [ ${USING_MPMD} == "yes" ] ; then