Index: branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 7058)
+++ branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 7232)
@@ -59,5 +59,5 @@
          DO jn = 1, jpts
             !
-            SELECT CASE( cn_tra(ib_bdy) )
+            SELECT CASE( TRIM(cn_tra(ib_bdy)) )
             CASE('none'        )   ;   CYCLE
             CASE('frs'         )   ;   CALL bdy_frs ( idx_bdy(ib_bdy),                tsa(:,:,:,jn), zdta(jn)%tra )
Index: branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90
===================================================================
--- branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90	(revision 7058)
+++ branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90	(revision 7232)
@@ -27,10 +27,4 @@
    PRIVATE
 
-   ! Local structure to rearrange tracers data
-   TYPE, PUBLIC ::   ztrcbdy
-      REAL(wp), POINTER, DIMENSION(:,:) ::  trc
-      REAL(wp), POINTER                 ::  fac
-   END TYPE
-
    PUBLIC trc_bdy      ! routine called in trcnxt.F90 
    PUBLIC trc_bdy_dmp  ! routine called in trcstp.F90 
@@ -52,6 +46,7 @@
       INTEGER, INTENT( in ) :: kt     ! Main time step counter
       !!
-      INTEGER               :: ib_bdy, jn ! Loop indeces
-      TYPE(ztrcbdy)         :: zdta       ! Temporary data structure
+      INTEGER                           :: ib_bdy, jn ! Loop indeces
+      REAL(wp), POINTER, DIMENSION(:,:) ::  ztrc
+      REAL(wp), POINTER                 ::  zfac
       !!----------------------------------------------------------------------
       !
@@ -61,14 +56,14 @@
          DO jn = 1, jptra
             !
-            zdta%trc => trcdta_bdy(jn,ib_bdy)%trc 
-            zdta%fac => trcdta_bdy(jn,ib_bdy)%rn_fac
+            ztrc => trcdta_bdy(jn,ib_bdy)%trc 
+            zfac => trcdta_bdy(jn,ib_bdy)%rn_fac
             !
             SELECT CASE( TRIM(trcdta_bdy(jn,ib_bdy)%cn_obc) )
             CASE('none'        )   ;   CYCLE
-            CASE('frs'         )   ;   CALL bdy_frs( idx_bdy(ib_bdy),                tra(:,:,:,jn), zdta%trc*zdta%fac )
-            CASE('specified'   )   ;   CALL bdy_spe( idx_bdy(ib_bdy),                tra(:,:,:,jn), zdta%trc*zdta%fac )
+            CASE('frs'         )   ;   CALL bdy_frs( idx_bdy(ib_bdy),                tra(:,:,:,jn), ztrc*zfac )
+            CASE('specified'   )   ;   CALL bdy_spe( idx_bdy(ib_bdy),                tra(:,:,:,jn), ztrc*zfac )
             CASE('neumann'     )   ;   CALL bdy_nmn( idx_bdy(ib_bdy),                tra(:,:,:,jn) )
-            CASE('orlanski'    )   ;   CALL bdy_orl( idx_bdy(ib_bdy), trb(:,:,:,jn), tra(:,:,:,jn), zdta%trc*zdta%fac, ll_npo=.false. )
-            CASE('orlanski_npo')   ;   CALL bdy_orl( idx_bdy(ib_bdy), trb(:,:,:,jn), tra(:,:,:,jn), zdta%trc*zdta%fac, ll_npo=.true. )
+            CASE('orlanski'    )   ;   CALL bdy_orl( idx_bdy(ib_bdy), trb(:,:,:,jn), tra(:,:,:,jn), ztrc*zfac, ll_npo=.false. )
+            CASE('orlanski_npo')   ;   CALL bdy_orl( idx_bdy(ib_bdy), trb(:,:,:,jn), tra(:,:,:,jn), ztrc*zfac, ll_npo=.true. )
             CASE DEFAULT           ;   CALL ctl_stop( 'trc_bdy : unrecognised option for open boundaries for passive tracers' )
             END SELECT
Index: branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena
===================================================================
--- branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena	(revision 7058)
+++ branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena	(revision 7232)
@@ -4,5 +4,5 @@
 #BSUB -n NPROCS
 #BSUB -a poe
-#BSUB -J MPI_config
+#BSUB -J NEMO_SETTE
 #BSUB -o poe.stdout.%J
 #BSUB -e poe.stderr.%J
Index: branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena_xios
===================================================================
--- branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena_xios	(revision 7058)
+++ branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_athena_xios	(revision 7232)
@@ -4,5 +4,5 @@
 #BSUB -n TOTAL_NPROCS
 #BSUB -a poe
-#BSUB -J MPI_config
+#BSUB -J NEMO_SETTE
 #BSUB -o poe.stdout.%J
 #BSUB -e poe.stderr.%J
Index: branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/sette.sh	(revision 7058)
+++ branches/2016/dev_r6522_SIMPLIF_3/NEMOGCM/SETTE/sette.sh	(revision 7232)
@@ -767,5 +767,5 @@
     export TEST_NAME="LONG"
     cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 add_key "key_tide" del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg
@@ -829,5 +829,5 @@
     export TEST_NAME="REPRO_8_4"
     cd ${CONFIG_DIR}
-    . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep key_tide" del_key ${DEL_KEYS}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep" del_key ${DEL_KEYS}
     cd ${SETTE_DIR}
     . ./param.cfg