Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 7231)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 7239)
@@ -71,5 +71,5 @@
       !
       cd_cfg = 'LOCK_EXCHANGE'      ! name & resolution (not used)
-      cp_cfg = INT( rn_dx )
+      kk_cfg = INT( rn_dx )
       !
       ! Global Domain size:  LOCK_EXCHANGE domain is 64 km x 3 grid-points x 20 m
Index: branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg
===================================================================
--- branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg	(revision 7231)
+++ branches/2016/dev_r6409_SIMPLIF_2_usrdef/NEMOGCM/CONFIG/OVERFLOW/EXP00/namelist_cfg	(revision 7239)
@@ -20,29 +20,19 @@
    cn_exp      =   "OVF_FCT2_flux_ubs"  !  experience name
    nn_it000    =       1   !  first time step
-   nn_itend    =    6120   ! here 17h of simulation  (=6120 time-step) 
+   !nn_itend    =    6120  ! here 17h of simulation  (=6120 time-step) abort after 5802 for zps: pb of physiques conditions 
+   nn_itend    =    5760   ! here 16h of simulation  (=5760 time-step) 
    nn_istate   =       0   !  output the initial state (1) or not (0)
-   nn_stock    =    6120   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =    6120   !  frequency of write in the output file   (modulo referenced to nn_it000)
+   nn_stock    =    5760   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5760   !  frequency of write in the output file   (modulo referenced to nn_it000)
 /
 !-----------------------------------------------------------------------
 &namcfg        !   parameters of the configuration
 !-----------------------------------------------------------------------
-   ln_read_cfg = .false.   !  (=T) read the domain configuration in 'domain_cfg.nc" file
-   !                       !  (=F) user defined configuration  ==>>>  see usrdef(_...) modules
-   ln_write_cfg= .false.   !  (=T) create the domain configuration file
 /
 !-----------------------------------------------------------------------
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
-   nn_closea   =    1      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
-   !
-   nn_msh      =    1      !  create (>0) a mesh file or not (=0)
-   rn_isfhmin  =    0.00   !  treshold (m) to discriminate grounding ice to floating ice
-   !
    rn_rdt      =   10.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_atfp     =    0.1    !  asselin time filter parameter
-   !
-   ln_crs      = .false.   !  Logical switch for coarsening module
 /
 !-----------------------------------------------------------------------
@@ -170,5 +160,5 @@
 &namdyn_spg    !   Surface pressure gradient
 !-----------------------------------------------------------------------
-   ln_dynspg_ts  = .true.   ! explicit free surface
+   ln_dynspg_ts  = .true.   ! split-explicit free surface
       ln_bt_fw      = .true.     ! Forward integration of barotropic Eqs.
       ln_bt_av      = .true.     ! Time filtering of barotropic variables
@@ -187,7 +177,7 @@
    ln_dynldf_blp =  .false.    !  bilaplacian operator
    !                       !  Direction of action  :
-   ln_dynldf_lev =  .false.     !  iso-level
-   ln_dynldf_hor =  .true.    !  horizontal (geopotential)
-   ln_dynldf_iso =  .false.    !  iso-neutral
+   ln_dynldf_lev =  .true.      !  iso-level
+   ln_dynldf_hor =  .false.     !  horizontal (geopotential)
+   ln_dynldf_iso =  .false.     !  iso-neutral
    !                       !  Coefficient
    nn_ahm_ijk_t  = 0         !  space/time variation of eddy coef