Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 7243)
@@ -84,15 +84,10 @@
                            !     (also = the frequency of sea-ice model call)
    ln_flx      = .true.    !  flux formulation       (T => fill namsbc_flx )
-   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
+   ln_blk      = .false.   !  Bulk formulation                          (T => fill namsbc_blk )
    nn_ice      = 0         !  =0 no ice boundary condition
    ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
    nn_fwb      = 0         !  FreshWater Budget: =0 unchecked
-   ln_apr_dyn  = .false.    !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
+   ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
    ln_traqsr   = .false.   !  Light penetration (T) or not (F)
-
-/
-!-----------------------------------------------------------------------
-&namsbc_ana    !   analytical surface boundary condition
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
@@ -107,12 +102,4 @@
    sn_emp  = 'amm12_flx' ,          3        , 'sowafldo',  .true.      , .false., 'daily'   ,  ''      ,  ''      , ''
    cn_dir  = './fluxes/'        !  root directory for the location of the flux files
-/
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 7243)
@@ -81,5 +81,5 @@
    !                       !     (also = the frequency of sea-ice model call)
    ln_ana      = .true.    !  analytical formulation                    (T => fill namsbc_ana )
-   ln_blk_core = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
+   ln_blk      = .false.   !  CORE bulk formulation                     (T => fill namsbc_core)
    nn_ice      = 0         !  =0 no ice boundary condition   ,
    ln_rnf      = .false.   !  runoffs                                   (T => fill namsbc_rnf)
@@ -92,16 +92,4 @@
    nn_tau000   =   100     !  gently increase the stress over the first ntau_rst time-steps
    rn_utau0    =   0.1e0   !  uniform value for the i-stress
-/
-!-----------------------------------------------------------------------
-&namsbc_flx    !   surface boundary condition : flux formulation
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 7243)
@@ -97,16 +97,4 @@
    nn_tau000   =   100     !  gently increase the stress over the first ntau_rst time-steps
    rn_utau0    =   0.1e0   !  uniform value for the i-stress
-/
-!-----------------------------------------------------------------------
-&namsbc_flx    !   surface boundary condition : flux formulation
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 7243)
@@ -86,9 +86,4 @@
    ln_qsr_2bd  = .true.    !  2 bands              light penetration
    nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
-/
-
-!-----------------------------------------------------------------------
-&namberg       !   iceberg parameters
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/GYRE_XIOS/EXP00/namelist_cfg	(revision 7243)
@@ -90,16 +90,4 @@
    nn_tau000   =   100     !  gently increase the stress over the first ntau_rst time-steps
    rn_utau0    =   0.1     !  uniform value for the i-stress
-/
-!-----------------------------------------------------------------------
-&namsbc_flx    !   surface boundary condition : flux formulation
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 7243)
@@ -80,24 +80,19 @@
 &namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
 !-----------------------------------------------------------------------
-!              !  file name                    ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                               ! rotation ! land/sea mask !
-!              !                               !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                              ! pairing  ! filename      !
-   sn_wndi     = 'u_10.15JUNE2009_fill'        ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bicubic.nc'      , 'Uwnd'   , ''
-   sn_wndj     = 'v_10.15JUNE2009_fill'        ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bicubic.nc'      , 'Vwnd'   , ''
-   sn_qsr      = 'ncar_rad.15JUNE2009_fill'    ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_qlw      = 'ncar_rad.15JUNE2009_fill'    ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_tair     = 't_10.15JUNE2009_fill'        ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_humi     = 'q_10.15JUNE2009_fill'        ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_prec     = 'ncar_precip.15JUNE2009_fill' ,        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_snow     = 'ncar_precip.15JUNE2009_fill' ,        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-   sn_tdif     = 'taudif_core'                 ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'     , ''       , ''
-
-   cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
-   rn_zqt      = 10.        !  Air temperature and humidity reference height (m)
-   rn_zu       = 10.        !  Wind vector reference height (m)
-   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
-   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
-   rn_vfac     = 0.        !  multiplicative factor for ocean/ice velocity
-                           !  in the calculation of the wind stress (0.=absolute winds or 1.=relative winds)
+!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                              ! rotation ! land/sea mask !
+!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                             ! pairing  ! filename      !
+   sn_wndi     = 'u_10.15JUNE2009_fill'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bicubic.nc'     , 'Uwnd'   , ''
+   sn_wndj     = 'v_10.15JUNE2009_fill'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bicubic.nc'     , 'Vwnd'   , ''
+   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_fill'       ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_fill'       ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP'     ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
+   !
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
+   !
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 7243)
@@ -65,8 +65,10 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
+   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
 /
 !-----------------------------------------------------------------------
 &namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
 !-----------------------------------------------------------------------
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM3/EXP00/1_namelist_cfg	(revision 7243)
@@ -88,18 +88,10 @@
    sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
    sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
-   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP',        .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear_noc.nc', ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP'     ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
    sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core2_agrif_bilinear.nc'    , ''       , ''
-
+   !
    !                    !  bulk algorithm :
-   ln_NCAR     = .true.    ! "NCAR"      algorithm   (Large and Yeager 2008)
-   !
-   cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
-   rn_zqt      = 10.       !  Air temperature and humidity reference height (m)
-   rn_zu       = 10.       !  Wind vector reference height (m)
-   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
-   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
-   rn_vfac     = 0.        !  multiplicative factor for ocean/ice velocity
-                           !  in the calculation of the wind stress (0.=absolute winds or 1.=relative winds)
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
+   !
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 7243)
@@ -84,20 +84,10 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_ana    !   analytical surface boundary condition
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_flx    !   surface boundary condition : flux formulation
-!-----------------------------------------------------------------------
-/      
+   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
+/
 !-----------------------------------------------------------------------
 &namsbc_blk   !   namsbc_blk  Bulk formulae
 !-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_cpl    !   coupled ocean/atmosphere model                       ("key_oasis3")
-!-----------------------------------------------------------------------
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 7243)
@@ -61,8 +61,10 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
+   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
 /
 !-----------------------------------------------------------------------
 &namsbc_blk   !   namsbc_blk  Bulk formulae
 !-----------------------------------------------------------------------
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
 /
 !-----------------------------------------------------------------------
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 7243)
@@ -66,8 +66,14 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
+   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
    nn_fsbc     = 1         !  frequency of surface boundary condition computation 
    ln_rnf      = .false.   !  runoffs
    ln_traqsr   = .false.   !  Light penetration (T) or not (F)
-/  
+/
+!-----------------------------------------------------------------------
+&namsbc_blk   !   namsbc_blk  Bulk formulae
+!-----------------------------------------------------------------------
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
+/
 !-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 7243)
@@ -63,4 +63,10 @@
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
+   ln_blk      = .true.    !  Bulk formulation                          (T => fill namsbc_blk )
+/
+!-----------------------------------------------------------------------
+&namsbc_blk   !   namsbc_blk  Bulk formulae
+!-----------------------------------------------------------------------
+   ln_NCAR     = .true.   ! "NCAR"      algorithm   (Large and Yeager 2008)
 /
 !-----------------------------------------------------------------------
@@ -68,8 +74,4 @@
 !-----------------------------------------------------------------------
 /      
-!-----------------------------------------------------------------------
-&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
-!-----------------------------------------------------------------------
-/
 !-----------------------------------------------------------------------
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
Index: /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7242)
+++ /branches/2016/dev_r6711_SIMPLIF_6_aerobulk/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 7243)
@@ -314,6 +314,6 @@
 &namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk = T)
 !-----------------------------------------------------------------------
-!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                               ! rotation ! land/sea mask !
-!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                              ! pairing  ! filename      !
+!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                              ! rotation ! land/sea mask !
+!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                             ! pairing  ! filename      !
    sn_wndi     = 'u_10.15JUNE2009_fill'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Uwnd'   , ''
    sn_wndj     = 'v_10.15JUNE2009_fill'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Vwnd'   , ''
@@ -324,7 +324,6 @@
    sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
    sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP',        .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP'     ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
    sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-
    !                    !  bulk algorithm :
    ln_NCAR     = .false.   ! "NCAR"      algorithm   (Large and Yeager 2008)